# CHANGELOG
## 0.3.20

- chore: improve pdf viewer UI
## 0.3.19

- fix: typo in program on ClientProfile
## 0.3.18

- chore: add program to client profile

## 0.3.17

- chore: add pdf view page

## 0.3.16

- feat: validate form on user interaction

## 0.3.15

- feat: include Accept type when making REST API calls

## 0.3.14

- chore: upgrade flutter version to 3.13.1
## 0.3.13

- feat: add authServer API client

## 0.3.12

- chore: improve code documentation
## 0.3.11

- chore: upgrade packages

## 0.3.10

- chore: improve pub score
## 0.3.9

- chore: fix onboarding scaffold
## 0.3.8

- chore: fix user data class
## 0.3.7

- chore: fix notification filter enum

## 0.3.6

- fix: restore flagged messages endpoint

## 0.3.5

- fix: remove password when updating admin status
  - remove platform declarations in pubspec
  - remove password fields when promoting to moderator

## 0.3.4

- chore: add documentation
  - add documentation for communities API
  - Add supported platforms

## 0.3.3

- chore: setup upgrade deployment

## 0.3.2

- chore: fix deployment with correct credentials path

## 0.3.1

- chore: fix deployment with new credentials path

## 0.3.0

- chore: upgrade to FLutter 3.10.6
  - Add new docker image for new Flutter version
  - Remove stream_chat_flutter implementation
  - Simplify PIN validator
  - Add other upgrade specific changes

  Breaking change:
  - You will need to pass a `ChewieVideoPlayer` instance when implementing the `ContentDetailWidget`

## 0.2.53

- chore: remove content items share button

## 0.2.52

- feat: sort rooms by recent activity

## 0.2.51

- feat: fix feed rendering
  - refactor code for simplicity
  - refactor access of list items to cater for nullables
  - extract shared widgets

## 0.2.50

- chore: update ClientType enum

## 0.2.49

- fix: ios date picker
  
## 0.2.48

- chore: add appbar to onboarding scaffold

## 0.2.47

- fix: client types

## 0.2.46

- chore: harmonize user and ClientProfile data classes

## 0.2.45

- feat: fix remove from group membership update

## 0.2.44

- feat: communities improvements
  - sort events before processing them
  - apply redactions before combining room events
  - add redaction logic to room messages
  - add exhaustive tests for the processRoomUpdates function

  breaking changes:
  - organizeEventTimeline has changed to sortEvents
  - The message object now has 'redacts' key
  - The message content object now has 'redactedBecause'
  - The processMembership API design has changed

## 0.2.43

- chore: change wrong login credentials message

## 0.2.42

- chore: change dismiss icon color

## 0.2.41

- chore: update matrix HomeServer URL

## 0.2.40

- chore: update ManagedClient data classes

## 0.2.39

- feat: add sync room

## 0.2.38

- feat: extract components
  - extract badge widget
  - extract room user data class

## 0.2.37

- feat: refactor communities implementation
  - extract CHAT APIs methods
  - create community_utils
  - extract shared data classes like SyncResponse

## 0.2.36

- fix: change caregiver type enum

## 0.2.35

- fix: change caregiver type enum

## 0.2.34

- fix: promote to moderator
  
  Breaking changes:  
    1. The fetchRoomPowerLevels API will return a RoomPowerLevel instead of a Map

## 0.2.33

- chore: update engagement endpoint

## 0.2.32

- refactor: chat API  
  - change joinRoom API to return response

  Breaking changes:  
    1. The joinRoom API will return a Response instead of a Map

## 0.2.31

- refactor: chat API  
  - add limit to search group members API
  - add required params in sign in and return Response instead of Map

  Breaking changes:  
    1. The createRoom API will return a Response instead of a Map
    2. The signIn API now requires a username and a password and it will return a Response instead of a Map

## 0.2.30

- fix: message report endpoints

## 0.2.29

- feat: add message reports
  - add new DELETE method type
  - add new endpoints for viewing message reports
  - add chat API documentation

## 0.2.28

- feat: update banned members endpoint

## 0.2.27

- feat: add moderation to communities

## 0.2.26

- chore: add the Identifier data class and IdentifierType enum

## 0.2.25

- feat: communities upgrades
  - add image_picker, mime, and permission_handler to handle image uploads
  - add send media image and promote to moderator to chat API
  - update chat API endpoints
  - add select photo from gallery
  - remove unused properties from room object
  - add media upload client to IGraphQLClient

## 0.2.24

- chore: add focusNode to MyAfyaHubPhoneInput

## 0.2.23

- chore: rename caregiverType enum content

## 0.2.22

- fix: fix feed nudge background icon issue

## 0.2.21

- fix: matrix sendMessage Method

## 0.2.20

- chore: add sign in send message actions' logic to ChatAPI

## 0.2.19

- fix: fix pub lint issues

## 0.2.18

- feat: add ChatAPI to communities

## 0.2.17

- feat: add chat states to communities

## 0.2.16

- feat: add communities data classes

## 0.2.15

- chore: update user data class

## 0.2.14

- chore: update feed item avatar

## 0.2.13

- chore: update user banner ui

## 0.2.12

- feat: add gender dynamic avatar

## 0.2.11

- chore: add minLines property to CustomTextField

## 0.2.10

- chore: update asset file path

## 0.2.9

- chore: update contact serialization

## 0.2.8

- chore: refactor ManagedClients data class

## 0.2.7

- chore: update UserData and Document data classes

## 0.2.6

- refactor: refactor data models

## 0.2.5

- feat: make collections modifiable

## 0.2.4

- chore: add listOrganisationsEndpoint to BaseContext

## 0.2.3

- fix: i_flutter_graphql_client variables

## 0.2.2

- chore: update code gen

## 0.2.1

- chore: add afya moja package

## 0.2.0

- chore: update packages and flutter version to 3.3.8

## 0.1.4

- chore: update packages to fix breaking changes
  
## 0.1.3

- fix: upgrade photo_view package for compatibility with mycarehub

## 0.1.2

- fix: downgrade flutter_html package to fix breaking change

## 0.1.1

- chore: upgrade packages

### Pre - [0.0.1]

- Code testing, refactor and upgrading design system for sghi_core
- Assorted bug fixes and enhancements
- Migrated open sourced libraries into sghi_core
