// Package imports:
import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/caregiver/client_profile.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/workstation_details.dart';
import 'package:sghi_core/afya_moja_core/src/enums.dart';
import 'package:sghi_core/afya_moja_core/src/helpers.dart';

part 'managed_client.freezed.dart';
part 'managed_client.g.dart';

@Freezed(makeCollectionsUnmodifiable: false)
class ManagedClient with _$ManagedClient {
  factory ManagedClient({
    @JsonKey(name: 'caregiverConsent', fromJson: consentStatusFromJson, toJson: consentStatusToJson) ConsentStatus? caregiverConsent,
    @JsonKey(name: 'clientConsent', fromJson: consentStatusFromJson, toJson: consentStatusToJson) ConsentStatus? clientConsent,
    @JsonKey(name: 'workStationDetails') WorkStationDetails? workStationDetails,
    @JsonKey(name: 'clientProfile') ClientProfile? clientProfile,
  }) = _ManagedClient;

  factory ManagedClient.fromJson(Map<String, dynamic> json) =>
      _$ManagedClientFromJson(json);

  factory ManagedClient.initial() => ManagedClient(
        clientConsent: ConsentStatus.UNKNOWN,
        caregiverConsent: ConsentStatus.UNKNOWN,
        workStationDetails: WorkStationDetails.initial(),
        clientProfile: ClientProfile.initial(),
      );
}
