import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/user_feed/src/domain/value_objects/strings.dart';

part 'organisation.freezed.dart';
part 'organisation.g.dart';

@freezed
class Organisation with _$Organisation {
  factory Organisation({
    @JsonKey(name: 'id') String? id,
    @JsonKey(name: 'name') String? name,
    @JsonKey(name: 'description') String? description,
  }) = _Organisation;

  factory Organisation.fromJson(Map<String, dynamic> json) =>
      _$OrganisationFromJson(json);

  factory Organisation.initial() => Organisation(
        id: UNKNOWN,
        name: UNKNOWN,
        description: UNKNOWN,
      );
}
