import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/organisation.dart';
import 'package:sghi_core/user_feed/src/domain/value_objects/strings.dart';

part 'program.freezed.dart';
part 'program.g.dart';

@freezed
class Program with _$Program {
  factory Program({
    @JsonKey(name: 'id') String? id,
    @JsonKey(name: 'active') bool? active,
    @JsonKey(name: 'name') String? name,
    @JsonKey(name: 'fhirOrganisationID') String? fhirOrganisationID,
    @JsonKey(name: 'organisation') Organisation? organization,
  }) = _Program;

  factory Program.fromJson(Map<String, dynamic> json) =>
      _$ProgramFromJson(json);

  factory Program.initial() => Program(
        id: UNKNOWN,
        active: false,
        name: UNKNOWN,
        fhirOrganisationID: UNKNOWN,
        organization: Organisation.initial(),
      );
}
