import 'package:freezed_annotation/freezed_annotation.dart';

part 'workstation_details.freezed.dart';
part 'workstation_details.g.dart';

@Freezed(makeCollectionsUnmodifiable: false)
class WorkStationDetails with _$WorkStationDetails {
  factory WorkStationDetails({
    @JsonKey(name: 'notifications') int? notifications,
    @JsonKey(name: 'messages') int? messages,
    @JsonKey(name: 'surveys') int? surveys,
    @JsonKey(name: 'articles') int? articles,
    @JsonKey(name: 'serviceRequests') int? serviceRequests,
  }) = _WorkStationDetails;

  factory WorkStationDetails.fromJson(Map<String, dynamic> json) =>
      _$WorkStationDetailsFromJson(json);

  factory WorkStationDetails.initial() => WorkStationDetails(
        notifications: 0,
        messages: 0,
        surveys: 0,
        articles: 0,
        serviceRequests: 0,
      );
}
