class MatrixMessageTypes {
  static const String text = 'm.text';
  static const String emote = 'm.emote';
  static const String notice = 'm.notice';
  static const String image = 'm.image';
  static const String file = 'm.file';
  static const String audio = 'm.audio';
  static const String location = 'm.location';
  static const String video = 'm.video';
}

enum MessageType {
  text,
  emote,
  notice,
  image,
  file,
  audio,
  location,
  video,
}

extension MatrixMessageType on MessageType {
  static String _value(MessageType val) {
    switch (val) {
      case MessageType.text:
        return MatrixMessageTypes.text;
      case MessageType.image:
        return MatrixMessageTypes.image;
      case MessageType.file:
        return MatrixMessageTypes.file;
      default:
        return '';
    }
  }

  String get value => _value(this);
}

enum MembershipEventTypes {
  invite,
  join,
  leave,
  ban,
  knock,
  unknown,
}

class MediumType {
  static const String sms = 'sms';
  static const String direct = 'direct';
  static const String plaintext = 'plaintext';
  static const String encryption = 'encryption';
}
