// Package imports:
import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:sghi_core/communities/models/sync_params.dart';

import '../../../flutter_graphql_client/mocks.dart';

void main() {
  test('SyncParams should function correctly', () {
    expect(
      SyncParams(
              client: MockGraphQlClient.withResponse(
                  'idToken', 'endpoint', Response('', 200)))
          .forceFull,
      false,
    );
    expect(
      SyncParams(
              client: MockGraphQlClient.withResponse(
                  'idToken', 'endpoint', Response('', 200)))
          .timeout,
      10000,
    );
    expect(
      SyncParams(
              client: MockGraphQlClient.withResponse(
                  'idToken', 'endpoint', Response('', 200)))
          .fullState,
      false,
    );
    expect(
      SyncParams(
              client: MockGraphQlClient.withResponse(
                  'idToken', 'endpoint', Response('', 200)))
          .fullSync,
      false,
    );
  });
}
